EDIT - feature request #7685

Add Selenium tests for specimen table in data portal
08/27/2018 01:28 PM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal

Description

add test data to 160.45.63.201/cdm_integration_reference

create new dump which needs to be stored in edit-integration /var/lib/cdm/testdb/{RELEASE}

create SpecimenTaxonPage class which extends PortalPage in cdm-dataportal/src/main/java/eu/etaxonomy/dataportal/pages/
create test class in cdm-dataportal/src/test/java/eu/etaxonomy/dataportal/selenium/tests/reference/ with

@DataPortalContexts( { DataPortalSite.reference })
public class SpecimenTableTest extends CdmDataPortalTestBase(

}

Related issues:

Related to EDIT - feature request #9181: set and get drupal variables from se... Closed
Related to EDIT - task #8419: Harmonization of the different specimen represe... In Progress
Has duplicate EDIT - task #9187: selenium test for specimen table view Duplicate

Associated revisions

Revision 8¢3d9651 - 10/02/2020 08:18 PM - Andreas Kohlbecker

ref #7685 test for compressed specimen table implemented, test data not yet complete

Revision 12178f01 - 10/02/2020 09:10 PM - Andreas Kohlbecker

ref #7685 testing for detail image in compressed specimen table

Revision b34b4c6c - 10/02/2020 09:39 PM - Andreas Kohlbecker
ref #7685 adapting other tests to extendet test data

Revision 3305483b - 10/05/2020 03:26 PM - Andreas Kohlbecker

ref #7685 predictive order of derivates

Revision d3b4bec1 - 10/05/2020 03:38 PM - Andreas Kohlbecker
ref #7685 adapting test

History

#1 - 08/31/2018 10:46 AM - Andreas Kohlbecker
- Tags changed from campanula to campanula, selenium, test

- Description updated

#2 - 09/06/2018 11:16 AM - Patrick Plitzner

- Target version changed from Release 5.3 to Release 5.4

#3 - 10/19/2018 03:05 PM - Patrick Plitzner

- Target version changed from Release 5.4 to Release 5.5

#4 - 10/23/2018 10:36 AM - Patrick Plitzner
- Target version changed from Release 5.5 to Release 5.6

#5 - 10/23/2018 01:46 PM - Patrick Plitzner

- Target version changed from Release 5.6 to Release 5.5

#6 - 01/30/2019 08:30 AM - Patrick Plitzner

- Target version changed from Release 5.5 to Release 5.6

#7 - 02/20/2019 03:42 PM - Patrick Plitzner
- Priority changed from New to Highest

#8 - 02/20/2019 03:47 PM - Patrick Plitzner

- Target version changed from Release 5.6 to Reviewed Next Major Release

#9 - 11/18/2019 02:50 PM - Andreas Miiller
- Tags changed from campanula, selenium, test to campanula, selenium, test, pp_uebergabe

- Assignee changed from Patrick Plitzner to Andreas Kohlbecker

#10 - 08/10/2020 04:09 PM - Andreas Kohlbecker

- Related to feature request #9181: set and get drupal variables from selenium test suite added

#11 - 08/13/2020 11:53 AM - Andreas Kohlbecker

- Related to task #8419: Harmonization of the different specimen representations added

#12 - 10/02/2020 08:15 PM - Andreas Kohlbecker

- Has duplicate task #9187: selenium test for specimen table view added

#13 - 10/02/2020 09:16 PM - Andreas Kohlbecker
- Status changed from New to Closed
- Target version changed from Reviewed Next Major Release to Release 5.18

- % Done changed from 0 to 100
The test is fairly complete now.
Only tests for the indicator icons for DNA-sample and descriptive data are missing.
For now | abstain from because:
1.1 found no way to create DNA sequence data in the editor
2. We would need to create a test ontology for descriptions. | don't want to import the whole additivity ontology since this is quite hute. We need

something lean which covers all cases to be tested.

So | am closing this ticket by now.
